# WebDAV 代理服务器

这是一个简单的本地代理服务器，用于解决浏览器跨域访问 WebDAV 服务器的问题。

## 为什么需要这个代理服务器？

1. **浏览器的同源策略限制**：出于安全考虑，浏览器不允许网页直接访问不同域名的 WebDAV 服务器。
2. **CORS 限制**：大多数 WebDAV 服务器（如坚果云）没有配置 CORS 头，导致浏览器无法直接访问。
3. **安全性考虑**：使用本地代理服务器比使用公共代理服务更安全，因为敏感数据只在本地传输。

## 使用方法

1. **安装 Node.js**
   - 访问 [Node.js 官网](https://nodejs.org/)
   - 下载并安装适合你系统的 Node.js 版本

2. **启动代理服务器**
   ```bash
   # 安装依赖
   npm install

   # 启动服务器
   npm start
   ```

3. **配置 WebDAV**
   - 打开 AI提示词库网页
   - 点击"导入/导出"按钮
   - 在 WebDAV 配置中，使用以下格式的地址：
     ```
     http://localhost:3000/proxy/你的WebDAV服务器地址
     ```
   - 例如，坚果云的地址应该是：
     ```
     http://localhost:3000/proxy/dav.jianguoyun.com/dav
     ```

## 注意事项

1. 代理服务器仅供本地使用，不要在公网环境部署
2. 确保 3000 端口未被其他程序占用
3. 使用完毕后可以关闭代理服务器
4. 代理服务器不会保存任何用户数据

## 常见问题

1. **端口被占用**
   - 修改 server.js 中的 port 值
   - 重新启动服务器

2. **连接失败**
   - 确认代理服务器是否正常运行
   - 检查 WebDAV 服务器地址是否正确
   - 验证用户名和密码是否正确

3. **安全提示**
   - 代理服务器仅在本地运行，数据不会传输到第三方服务器
   - 所有数据传输都在你的电脑上进行 